Does not work on FF 6 Rated 1 out of 5 stars

This does not work with Firefox 6.0. I get the message "The add-on from addons.mozilla.org coult not be installed because it does not match the add-on Firefox expected".

Does not work on FF 6 Rated 1 out of 5 stars

This does not work with Firefox 6.0. I get the message "The add-on from addons.mozilla.org coult not be installed because it does not match the add-on Firefox expected".